diff --git a/web/pgadmin/misc/file_manager/static/js/utility.js b/web/pgadmin/misc/file_manager/static/js/utility.js
index 86d239989..2cc1aba87 100644
--- a/web/pgadmin/misc/file_manager/static/js/utility.js
+++ b/web/pgadmin/misc/file_manager/static/js/utility.js
@@ -748,8 +748,8 @@ define([
             return;
           if ($(this).find('.fa-file-text-o').length)
             $(this).click();
-          // If folder then first select and then double click to opn folder
-          else if ($(this).find('.fa-folder-open').length) {
+          // If folder then first select and then double click to open folder/drive
+          else if ($(this).find('.fa-folder-open').length || $(this).find('.fa-hdd-o').length) {
             $(this).click();
             setTimeout(() => { $(self).trigger('dblclick'); }, 10);
           }
diff --git a/web/pgadmin/misc/file_manager/static/scss/_file_manager.scss b/web/pgadmin/misc/file_manager/static/scss/_file_manager.scss
index cf6558350..24bd6c5f1 100644
--- a/web/pgadmin/misc/file_manager/static/scss/_file_manager.scss
+++ b/web/pgadmin/misc/file_manager/static/scss/_file_manager.scss
@@ -346,3 +346,19 @@ table.tablesorter {
     outline: $input-focus-border-color auto 5px !important;
   }
 }
+
+/* Specific to IE11 where we want to highlight the focus on grid/row  */
+@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
+  table.tablesorter {
+    th:focus,
+    tr:focus {
+      border: 2px solid $input-focus-border-color !important;;
+    }
+  }
+
+  #contents {
+    li:focus {
+      border: 2px solid $input-focus-border-color !important;
+    }
+  }
+}
